.quiz {
    padding: rem(20) rem(16);
    background: white;
    border-radius: rem(20);
    display: flex;
    flex-direction: column;
    row-gap: rem(20);

    &__primary {
        padding-bottom: rem(20);
        border-bottom: 1px solid #E8E8E8;
        display: flex;
        flex-direction: column;
        row-gap: rem(10);
    }

    &__header  {
        font-weight: 500;
        font-size: rem(24);
        line-height: 105%;
    }

    &__subtitle {
        max-width: rem(320);
        color: var(--gray-dark);
        font-size: rem(16);
        line-height: 140%;
    }

    &__help {
        color: var(--gray);
        font-size: rem(14);
        line-height: 140%;
        text-align: left;
        margin-top: rem(10);
    }

    &__main {
        display: flex;
        flex-direction: column;
    }

    &__step {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__title {
        text-align: center;
        font-size: rem(16);
        line-height: 140%;
        margin-bottom: rem(16);
    }

    &__content {
       flex-grow: 1;
    }

    &__footer {
        padding-top: rem(40);
        display: flex;
        flex-direction: column;
        column-gap: rem(20);
        row-gap: rem(12);
    }

    &__counter {
        color: var(--blue);
        font-size: rem(20);
        line-height: rem(24);
        display: flex;
        align-items: center;
    }

    &__grid {
       display: grid;
        grid-row-gap: rem(10);
        grid-column-gap: rem(10);
        grid-template-columns: 1fr;
    }

    &__buttons {
        display: flex;
        column-gap: rem(10);
        row-gap: rem(10);
    }

    &__button {
        flex-grow: 1;
    }

    @include media-breakpoint-up(md) {
        padding: rem(40);
        row-gap: rem(40);

        &__primary {
            row-gap: rem(40);
            padding-bottom: rem(40);
        }

        &__help {

        }

        &__header  {
            font-size: rem(32);
        }

        &__grid {
            grid-template-columns: 1fr 1fr;
        }

        &__title {
            font-size: rem(24);
            line-height: 150%;
            margin-bottom: rem(22);
        }

        &__footer {
            align-items: center;
            flex-direction: row;
            justify-content: space-between;
        }

        &__buttons {
            align-items: center;
            flex-direction: row;
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        min-height: rem(540);
        flex-direction: row;

        &__primary {
            width: rem(400);
            border-bottom: none;
            padding: 0 rem(40) 0 0;
            margin-right: rem(40);
            border-right: 1px solid #E8E8E8;
            flex-shrink: 0;
        }

        &__header {
            flex-grow: 1;
        }

        &__main {

        }
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(60);

        &__primary {
            width: rem(534);
            margin-right: rem(90);
        }

        &__header  {
            font-size: rem(48);
        }
    }
}

.quiz-item {
    cursor: pointer;
    display: block;
    overflow: hidden;
    position: relative;
    font-weight: 400;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        position: absolute;
        visibility: hidden;

        &:checked + .quiz-item__label {
            background: #FAFCFF;

            .quiz-item__icon {
                background: white;
                border-color: var(--blue);

                &:before {
                    opacity: 1;
                    visibility: visible;
                }

                &--checkbox {
                    background: var(--blue);
                }
            }
        }
    }

    &__label {
        border-radius: 20px;
        font-size: rem(14);
        line-height: 140%;
        height: rem(90);
        padding: rem(24);
        color: var(--dark);
        position: relative;
        background: #F7F7F7;
        display: flex;
        align-items: center;
        column-gap: rem(14);
    }

    &__icon {
        width: rem(20);
        height: rem(20);
        display: block;
        position: relative;
        border-radius: 4px;
        flex-shrink: 0;

        &:before {
            opacity: 0;
            content: '';
            visibility: hidden;
            position: absolute;
        }

        &--radio {
            border-radius: 50%;
            border: 2px solid var(--gray);

            &:before {
                top: calc(50% - 5px);
                left: calc(50% - 5px);
                width: 10px;
                height: 10px;
                background: var(--blue);
                border-radius: 50%;
            }
        }

        &--checkbox {
            border: 1px solid var(--gray);

            &:before {
                width: 16px;
                height: 16px;
                top: calc(50% - 8px);
                left: calc(50% - 8px);
                background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNMy4zMzMzNyA4LjAwMDA4TDYuNjY2NzEgMTEuMzMzNEwxMy4zMzM0IDQuNjY2NzUnIHN0cm9rZT0nd2hpdGUnIHN0cm9rZS13aWR0aD0nMS41JyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnLz48L3N2Zz4=");
                background-position: 50% 50%;
                background-repeat: no-repeat;
                background-size: cover;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__label {
            height: rem(116);
        }
    }
}
